Debian Bug report logs - #572048
tomcat6: fails to start after upgrade to v6.0.24-2

version graph

Package: openjdk-6; Maintainer for openjdk-6 is OpenJDK Team <openjdk@lists.launchpad.net>;

Reported by: Teodor <mteodor@gmail.com>

Date: Mon, 1 Mar 2010 09:51:02 UTC

Severity: grave

Fixed in version 6b18~pre1-4

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mteodor@gmail.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Mon, 01 Mar 2010 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
New Bug report received and forwarded. Copy sent to mteodor@gmail.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 01 Mar 2010 09:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tomcat6: fails to start after upgrade to v6.0.24-2
Date: Mon, 01 Mar 2010 11:47:40 +0200
[Message part 1 (text/plain, inline)]
Package: tomcat6
Version: 6.0.24-2
Severity: grave
Justification: renders package unusable

Hi,

After todays upgrade to v6.0.24-2 due to migration to 'testing' the tomcat6 service
doesn't start anymore. I've tried a fresh install and there is no difference.
I see that 'jscv' is no longer used and 'authbind' is disabled by default, thus
'catalina.sh' upstream script is used instead. I believe this is a major regression
since 'jsvc' is the only alternative for running a java-baser program as a service.
The upstream 'catalina.sh' shell script doesn't make use of 'jsvc' because it is
not available on all platforms, this script is meant to be portable on all Linux/
UNIX hosts.

Another issue is that the execution of 'catalina.sh' should also be redirected to
STDOUT/STDERR to avoid these informative lines:
| Starting Tomcat servlet engine: tomcat6Using CATALINA_BASE:   /var/lib/tomcat6
| Using CATALINA_HOME:   /usr/share/tomcat6
| Using CATALINA_TMPDIR: /tmp/tomcat6-tmp
| Using JRE_HOME:        /usr/lib/jvm/java-6-openjdk
| Using CLASSPATH:       /usr/share/tomcat6/bin/bootstrap.jar
|  failed!
| invoke-rc.d: initscript tomcat6, action "start" failed.

Thanks


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages tomcat6 depends on:
ii  adduser                       3.112      add and remove users and groups
ii  tomcat6-common                6.0.24-2   Servlet and JSP engine -- common f

Versions of packages tomcat6 recommends:
ii  authbind                      1.2.0      Allows non-root programs to bind()

Versions of packages tomcat6 suggests:
pn  tomcat6-admin                 <none>     (no description available)
pn  tomcat6-docs                  <none>     (no description available)
pn  tomcat6-examples              <none>     (no description available)
pn  tomcat6-user                  <none>     (no description available)

-- no debconf information
[tomcat6.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Mon, 01 Mar 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Claude <ludovic.claude54@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 01 Mar 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Claude <ludovic.claude54@googlemail.com>
To: Teodor <mteodor@gmail.com>, 572048@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#572048: tomcat6: fails to start after upgrade to v6.0.24-2
Date: Tue, 02 Mar 2010 00:07:03 +0100
Hello Teodor,

The changes were motivated by the fact that jscv is unreliable (see
#561559) and is hard to use when you need to setup Tomcat with ports <
1024. Upstream maintains the catalina.sh script and recommends its use.
We were kindly assisted by a Tomcat expert (Jason Brittain from
MuleSoft) in this transition. With this script, it is now possible to
use authbind easily if the ports are under 1024.

Can you give me more details about your setup. It looks like an upgrade,
so what other packages or webapps have you installed? Can you provide
the Tomcat logs in /var/log/tomcat6.

Thanks,
Ludovic

Teodor a écrit :
> Package: tomcat6
> Version: 6.0.24-2
> Severity: grave
> Justification: renders package unusable
> 
> Hi,
> 
> After todays upgrade to v6.0.24-2 due to migration to 'testing' the tomcat6 service
> doesn't start anymore. I've tried a fresh install and there is no difference.
> I see that 'jscv' is no longer used and 'authbind' is disabled by default, thus
> 'catalina.sh' upstream script is used instead. I believe this is a major regression
> since 'jsvc' is the only alternative for running a java-baser program as a service.
> The upstream 'catalina.sh' shell script doesn't make use of 'jsvc' because it is
> not available on all platforms, this script is meant to be portable on all Linux/
> UNIX hosts.
> 
> Another issue is that the execution of 'catalina.sh' should also be redirected to
> STDOUT/STDERR to avoid these informative lines:
> | Starting Tomcat servlet engine: tomcat6Using CATALINA_BASE:   /var/lib/tomcat6
> | Using CATALINA_HOME:   /usr/share/tomcat6
> | Using CATALINA_TMPDIR: /tmp/tomcat6-tmp
> | Using JRE_HOME:        /usr/lib/jvm/java-6-openjdk
> | Using CLASSPATH:       /usr/share/tomcat6/bin/bootstrap.jar
> |  failed!
> | invoke-rc.d: initscript tomcat6, action "start" failed.
> 
> Thanks
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (990, 'testing'), (500, 'unstable')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.32-2-686 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages tomcat6 depends on:
> ii  adduser                       3.112      add and remove users and groups
> ii  tomcat6-common                6.0.24-2   Servlet and JSP engine -- common f
> 
> Versions of packages tomcat6 recommends:
> ii  authbind                      1.2.0      Allows non-root programs to bind()
> 
> Versions of packages tomcat6 suggests:
> pn  tomcat6-admin                 <none>     (no description available)
> pn  tomcat6-docs                  <none>     (no description available)
> pn  tomcat6-examples              <none>     (no description available)
> pn  tomcat6-user                  <none>     (no description available)
> 
> -- no debconf information
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> pkg-java-maintainers mailing list
> pkg-java-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-java-maintainers




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Mon, 01 Mar 2010 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Claude <ludovic.claude54@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 01 Mar 2010 23:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Tue, 02 Mar 2010 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 02 Mar 2010 09:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 572048@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Ludovic Claude <ludovic.claude54@googlemail.com>, 572048@bugs.debian.org, 561559@bugs.debian.org
Subject: Re: Bug#572048: tomcat6: fails to start after upgrade to v6.0.24-2
Date: Tue, 02 Mar 2010 10:27:07 +0100
> The changes were motivated by the fact that jscv is unreliable (see
> #561559)

Nahh. I see that quite often without jsvc too, with upstream's startup 
scripts.

Cheers,

Marcus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Tue, 02 Mar 2010 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pier Luigi Pau <pigipau@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 02 Mar 2010 11:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 572048@bugs.debian.org (full text, mbox):

From: Pier Luigi Pau <pigipau@gmail.com>
To: 572048@bugs.debian.org
Subject: I can confirm failure to start
Date: Tue, 2 Mar 2010 11:58:18 +0100
Hello,

I couldn't get tomcat6 6.0.24-2 to start, either, and so far I haven't
found anything better to do than revert to a previous version
(6.0.20-dfsg1-1). This is on amd64, for the record.

Purging the packages and reinstalling 6.0.24-2 didn't help; nor did
switching between openjdk-6 and sun-java6.

I had lines similar to these in my /var/log/tomcat6/catalina.(date).log:

><<<<
1-mar-2010 10.34.37 org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal
performance in production environments was not found on the
java.library.path:
/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib/jni:/lib:/usr/lib
1-mar-2010 10.34.37 org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8080
1-mar-2010 10.34.37 org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 570 ms
1-mar-2010 10.34.37 org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
1-mar-2010 10.34.37 org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor ROOT.xml
1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor docs.xml
1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor host-manager.xml
1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor manager.xml
1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor examples.xml
1-mar-2010 10.34.38 org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8080
1-mar-2010 10.34.38 org.apache.catalina.startup.Catalina start
INFO: Server startup in 591 ms
1-mar-2010 10.34.38 org.apache.catalina.core.StandardServer await
GRAVE: StandardServer.await: create[8005]:
java.net.SocketException: Invalid argument
	at java.net.PlainSocketImpl.socketBind(Native Method)
	at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:336)
	at java.net.ServerSocket.bind(ServerSocket.java:336)
	at java.net.ServerSocket.<init>(ServerSocket.java:202)
	at org.apache.catalina.core.StandardServer.await(StandardServer.java:373)
	at org.apache.catalina.startup.Catalina.await(Catalina.java:657)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:617)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
><<<<

An interesting behaviour I noticed: running /etc/init.d/tomcat6 start
manually gave me an indication of failure; instead, if I rebooted my
box altogether, it apparently worked, and I had a file with a process
id at /var/run/tomcat6.pid, but by the time I could get into a shell,
the process had somehow disappeared (died?). /etc/init.d/tomcat6 stop
would answer that tomcat6 wasn't running, /etc/init.d/tomcat6 start
would complain that there was a pid file and therefore nothing had to
be done.

Regards,
Pier Luigi Pau




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Tue, 02 Mar 2010 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Claude <ludovic.claude54@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 02 Mar 2010 22:39:04 GMT) Full text and rfc822 format available.

Message #30 received at 572048@bugs.debian.org (full text, mbox):

From: Ludovic Claude <ludovic.claude54@googlemail.com>
To: Pier Luigi Pau <pigipau@gmail.com>, 572048@bugs.debian.org
Subject: Re: Bug#572048: I can confirm failure to start
Date: Tue, 02 Mar 2010 23:36:44 +0100
Pier, this looks like a conflict on port 8005.

Can you run this command:
netstat -p -l | grep 8005

Thanks,
Ludovic

Pier Luigi Pau a écrit :
> Hello,
> 
> I couldn't get tomcat6 6.0.24-2 to start, either, and so far I haven't
> found anything better to do than revert to a previous version
> (6.0.20-dfsg1-1). This is on amd64, for the record.
> 
> Purging the packages and reinstalling 6.0.24-2 didn't help; nor did
> switching between openjdk-6 and sun-java6.
> 
> I had lines similar to these in my /var/log/tomcat6/catalina.(date).log:
> 
>> <<<<
> 1-mar-2010 10.34.37 org.apache.catalina.core.AprLifecycleListener init
> INFO: The APR based Apache Tomcat Native library which allows optimal
> performance in production environments was not found on the
> java.library.path:
> /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib/jni:/lib:/usr/lib
> 1-mar-2010 10.34.37 org.apache.coyote.http11.Http11Protocol init
> INFO: Initializing Coyote HTTP/1.1 on http-8080
> 1-mar-2010 10.34.37 org.apache.catalina.startup.Catalina load
> INFO: Initialization processed in 570 ms
> 1-mar-2010 10.34.37 org.apache.catalina.core.StandardService start
> INFO: Starting service Catalina
> 1-mar-2010 10.34.37 org.apache.catalina.core.StandardEngine start
> INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
> 1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
> INFO: Deploying configuration descriptor ROOT.xml
> 1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
> INFO: Deploying configuration descriptor docs.xml
> 1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
> INFO: Deploying configuration descriptor host-manager.xml
> 1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
> INFO: Deploying configuration descriptor manager.xml
> 1-mar-2010 10.34.37 org.apache.catalina.startup.HostConfig deployDescriptor
> INFO: Deploying configuration descriptor examples.xml
> 1-mar-2010 10.34.38 org.apache.coyote.http11.Http11Protocol start
> INFO: Starting Coyote HTTP/1.1 on http-8080
> 1-mar-2010 10.34.38 org.apache.catalina.startup.Catalina start
> INFO: Server startup in 591 ms
> 1-mar-2010 10.34.38 org.apache.catalina.core.StandardServer await
> GRAVE: StandardServer.await: create[8005]:
> java.net.SocketException: Invalid argument
> 	at java.net.PlainSocketImpl.socketBind(Native Method)
> 	at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:336)
> 	at java.net.ServerSocket.bind(ServerSocket.java:336)
> 	at java.net.ServerSocket.<init>(ServerSocket.java:202)
> 	at org.apache.catalina.core.StandardServer.await(StandardServer.java:373)
> 	at org.apache.catalina.startup.Catalina.await(Catalina.java:657)
> 	at org.apache.catalina.startup.Catalina.start(Catalina.java:617)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:616)
> 	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
> 	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
>> <<<<
> 
> An interesting behaviour I noticed: running /etc/init.d/tomcat6 start
> manually gave me an indication of failure; instead, if I rebooted my
> box altogether, it apparently worked, and I had a file with a process
> id at /var/run/tomcat6.pid, but by the time I could get into a shell,
> the process had somehow disappeared (died?). /etc/init.d/tomcat6 stop
> would answer that tomcat6 wasn't running, /etc/init.d/tomcat6 start
> would complain that there was a pid file and therefore nothing had to
> be done.
> 
> Regards,
> Pier Luigi Pau
> 
> 
> 
> _______________________________________________
> pkg-java-maintainers mailing list
> pkg-java-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-java-maintainers
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Wed, 03 Mar 2010 08:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 03 Mar 2010 08:36:05 GMT) Full text and rfc822 format available.

Message #35 received at 572048@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Ludovic Claude <ludovic.claude54@googlemail.com>
Cc: 572048@bugs.debian.org, Pier Luigi Pau <pigipau@gmail.com>, Marcus Better <marcus@better.se>
Subject: Re: Bug#572048: tomcat6: fails to start after upgrade to v6.0.24-2
Date: Wed, 3 Mar 2010 10:33:15 +0200
Hello,

On Tue, Mar 2, 2010 at 1:07 AM, Ludovic Claude
<ludovic.claude54@googlemail.com> wrote:
> The changes were motivated by the fact that jscv is unreliable (see
> #561559) and is hard to use when you need to setup Tomcat with ports <
> 1024. Upstream maintains the catalina.sh script and recommends its use.
> We were kindly assisted by a Tomcat expert (Jason Brittain from
> MuleSoft) in this transition. With this script, it is now possible to
> use authbind easily if the ports are under 1024.

Ok, using authbind might be an improvement but I'm not sure about
giving up on jsvc (which is also developed by Apache in tomcat
project).

> Can you give me more details about your setup. It looks like an upgrade,
> so what other packages or webapps have you installed? Can you provide
> the Tomcat logs in /var/log/tomcat6.

I don't have anything configured on this host, it's just a plain
default installation and configuration of tomcat6 package. After the
upgrade I've seen there are problems and I thought that the upgrade
has done something wrong, so I've purged all tomcat packages. The
current setup is a fresh install which fails to start!

Thanks

PS: how can I receive any responses on this bug without CC:me ?


------
root@frost:~# pgrep -fl java
root@frost:~# pgrep -fl tomcat
root@frost:~#
root@frost:~#
root@frost:~# /etc/init.d/tomcat6 status
Tomcat servlet engine is not running..
root@frost:~#
root@frost:~#
root@frost:~# ls -l /var/log/tomcat6/
total 20
-rw-r--r-- 1 tomcat6 tomcat6 2221 Mar  1 09:49 catalina.2010-03-01.log
-rw-r--r-- 1 tomcat6 tomcat6 2225 Mar  2 08:39 catalina.2010-03-02.log
-rw-r--r-- 1 tomcat6 tomcat6 2225 Mar  3 09:04 catalina.2010-03-03.log
-rw-r--r-- 1 tomcat6 root    6671 Mar  3 09:04 catalina.out
-rw-r--r-- 1 tomcat6 tomcat6    0 Mar  1 09:49 localhost.2010-03-01.log
-rw-r--r-- 1 tomcat6 tomcat6    0 Mar  2 08:39 localhost.2010-03-02.log
-rw-r--r-- 1 tomcat6 tomcat6    0 Mar  3 09:04 localhost.2010-03-03.log
root@frost:~# cat /var/log/tomcat6/catalina.2010-03-03.log
Mar 3, 2010 9:04:13 AM org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal
performance in production environments was not found on the
java.library.path:
/usr/lib/jvm/java-6-openjdk/jre/lib/i386/client:/usr/lib/jvm/java-6-openjdk/jre/lib/i386:/usr/lib/jvm/java-6-openjdk/jre/../lib/i386:/usr/java/packages/lib/i386:/usr/lib/jni:/lib:/usr/lib
Mar 3, 2010 9:04:13 AM org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8080
Mar 3, 2010 9:04:13 AM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 1116 ms
Mar 3, 2010 9:04:14 AM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Mar 3, 2010 9:04:14 AM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
Mar 3, 2010 9:04:14 AM org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor ROOT.xml
Mar 3, 2010 9:04:14 AM org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8080
Mar 3, 2010 9:04:14 AM org.apache.catalina.startup.Catalina start
INFO: Server startup in 612 ms
Mar 3, 2010 9:04:14 AM org.apache.catalina.core.StandardServer await
SEVERE: StandardServer.await: create[8005]:
java.net.SocketException: Invalid argument
	at java.net.PlainSocketImpl.socketBind(Native Method)
	at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:336)
	at java.net.ServerSocket.bind(ServerSocket.java:336)
	at java.net.ServerSocket.<init>(ServerSocket.java:202)
	at org.apache.catalina.core.StandardServer.await(StandardServer.java:373)
	at org.apache.catalina.startup.Catalina.await(Catalina.java:657)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:617)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
root@frost:~#
root@frost:~#
root@frost:~# lsof -i :8080
root@frost:~#
root@frost:~# lsof -i :8005
root@frost:~#




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Wed, 03 Mar 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pier Luigi Pau <pigipau@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 03 Mar 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 572048@bugs.debian.org (full text, mbox):

From: Pier Luigi Pau <pigipau@gmail.com>
To: Ludovic Claude <ludovic.claude54@googlemail.com>, 572048@bugs.debian.org
Subject: Re: Bug#572048: I can confirm failure to start
Date: Wed, 3 Mar 2010 10:00:48 +0100
2010/3/2 Ludovic Claude <ludovic.claude54@googlemail.com>:
> Pier, this looks like a conflict on port 8005.

Unfortunately, it only *looks* like it, but really isn't, and a
conflict on port 8005 probably wouldn't explain the remaining parts of
the behaviour I described.

> Can you run this command:
> netstat -p -l | grep 8005

This is after a reboot with 6.0.24-2 installed:

mei-chan:~# netstat -p l |grep 8005
mei-chan:~# netstat -p l |grep 8080
mei-chan:~# /etc/init.d/tomcat6 stop
Stopping Tomcat servlet engine: tomcat6 (not running).
mei-chan:~# /etc/init.d/tomcat6 start
Starting Tomcat servlet engine: tomcat6Using CATALINA_BASE:   /var/lib/tomcat6
Using CATALINA_HOME:   /usr/share/tomcat6
Using CATALINA_TMPDIR: /tmp/tomcat6-tmp
Using JRE_HOME:        /usr/lib/jvm/java-6-openjdk
Using CLASSPATH:       /usr/share/tomcat6/bin/bootstrap.jar
PID file (/var/run/tomcat6.pid) found. Is Tomcat still running? Start aborted.
mei-chan:~# rm /var/run/tomcat6.pid
mei-chan:~# /etc/init.d/tomcat6 start
Starting Tomcat servlet engine: tomcat6Using CATALINA_BASE:   /var/lib/tomcat6
Using CATALINA_HOME:   /usr/share/tomcat6
Using CATALINA_TMPDIR: /tmp/tomcat6-tmp
Using JRE_HOME:        /usr/lib/jvm/java-6-openjdk
Using CLASSPATH:       /usr/share/tomcat6/bin/bootstrap.jar
 failed!

No visible difference in logs; catalina.2010-03-03.log has:

=====
3-mar-2010 9.44.47 org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal
performance in production environments was not found on the
java.library.path:
/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib/jni:/lib:/usr/lib
3-mar-2010 9.44.48 org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8080
3-mar-2010 9.44.48 org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 2194 ms
3-mar-2010 9.44.48 org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
3-mar-2010 9.44.48 org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
3-mar-2010 9.44.49 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor ROOT.xml
3-mar-2010 9.44.52 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor docs.xml
3-mar-2010 9.44.52 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor host-manager.xml
3-mar-2010 9.44.53 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor manager.xml
3-mar-2010 9.44.53 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor examples.xml
3-mar-2010 9.44.54 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.44.55 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.44.56 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.44.56 org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8080
3-mar-2010 9.44.56 org.apache.catalina.startup.Catalina start
INFO: Server startup in 8209 ms
3-mar-2010 9.44.56 org.apache.catalina.core.StandardServer await
GRAVE: StandardServer.await: create[8005]:
java.net.SocketException: Invalid argument
	at java.net.PlainSocketImpl.socketBind(Native Method)
	at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:336)
	at java.net.ServerSocket.bind(ServerSocket.java:336)
	at java.net.ServerSocket.<init>(ServerSocket.java:202)
	at org.apache.catalina.core.StandardServer.await(StandardServer.java:373)
	at org.apache.catalina.startup.Catalina.await(Catalina.java:657)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:617)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
3-mar-2010 9.49.22 org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal
performance in production environments was not found on the
java.library.path:
/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jvm/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib/jni:/lib:/usr/lib
3-mar-2010 9.49.22 org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8080
3-mar-2010 9.49.22 org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 558 ms
3-mar-2010 9.49.22 org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
3-mar-2010 9.49.22 org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
3-mar-2010 9.49.22 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor ROOT.xml
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor docs.xml
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor host-manager.xml
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor manager.xml
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployDescriptor
INFO: Deploying configuration descriptor examples.xml
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.49.23 org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive [[cut]].war
3-mar-2010 9.49.23 org.apache.coyote.http11.Http11Protocol start
INFO: Starting Coyote HTTP/1.1 on http-8080
3-mar-2010 9.49.23 org.apache.catalina.startup.Catalina start
INFO: Server startup in 802 ms
3-mar-2010 9.49.23 org.apache.catalina.core.StandardServer await
GRAVE: StandardServer.await: create[8005]:
java.net.SocketException: Invalid argument
	at java.net.PlainSocketImpl.socketBind(Native Method)
	at java.net.AbstractPlainSocketImpl.bind(AbstractPlainSocketImpl.java:336)
	at java.net.ServerSocket.bind(ServerSocket.java:336)
	at java.net.ServerSocket.<init>(ServerSocket.java:202)
	at org.apache.catalina.core.StandardServer.await(StandardServer.java:373)
	at org.apache.catalina.startup.Catalina.await(Catalina.java:657)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:617)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
=====

Are more details needed?

Best regards,
Pier Luigi Pau




Information stored :
Bug#572048; Package tomcat6. (Wed, 03 Mar 2010 09:39:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and filed, but not forwarded. (Wed, 03 Mar 2010 09:39:23 GMT) Full text and rfc822 format available.

Message #45 received at 572048-quiet@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Teodor MICU <mteodor@gmail.com>, 572048-quiet@bugs.debian.org
Subject: Re: Bug#572048: tomcat6: fails to start after upgrade to v6.0.24-2
Date: Wed, 03 Mar 2010 10:37:46 +0100
Teodor MICU wrote:
>[...]
> 
> PS: how can I receive any responses on this bug without CC:me ?
> 


Hi

I believe [1] will do the trick.

~Niels

[1] http://www.debian.org/Bugs/Developer#subscribe




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Sun, 07 Mar 2010 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Josef Spillner (kuarepoti-dju.net)" <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 07 Mar 2010 15:09:06 GMT) Full text and rfc822 format available.

Message #50 received at 572048@bugs.debian.org (full text, mbox):

From: "Josef Spillner (kuarepoti-dju.net)" <2005@kuarepoti-dju.net>
To: <572048@bugs.debian.org>
Subject: Re: Bug#572048: Happens on new installations, too
Date: Sun, 07 Mar 2010 16:08:12 +0100
The SocketException on port 8005 has hit me as well on a freshly
debootstrapped squeeze system with tomcat6 (6.0.24-2, amd64) added on top
of it.
The previous versions worked fine in their respective squeeze
environments. Given that the system is always produced automatically,
configuration changes can be ruled out. This behaviour of tomcat6 is thus
clearly a regression.

However, it doesn't seem to be the fault of packaging metadata because the
stock upstream version also fails to run with the same
issue and an additional NoRouteToHostException, despite the network being
fine. Perhaps it's a Java issue? (using openjdk-6-jre 6b17-1.7-1)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Sun, 07 Mar 2010 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 07 Mar 2010 15:27:05 GMT) Full text and rfc822 format available.

Message #55 received at 572048@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: "Josef Spillner (kuarepoti-dju.net)" <2005@kuarepoti-dju.net>, 572048@bugs.debian.org
Subject: Re: Bug#572048: Happens on new installations, too
Date: Sun, 7 Mar 2010 16:24:59 +0100
Hi,

On Sun, Mar 7, 2010 at 4:08 PM, Josef Spillner (kuarepoti-dju.net)
<2005@kuarepoti-dju.net> wrote:
> Perhaps it's a Java issue? (using openjdk-6-jre 6b17-1.7-1)

may you try 6b18~pre1-4, please?

Cheers,
Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#572048; Package tomcat6. (Mon, 08 Mar 2010 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Josef Spillner (kuarepoti-dju.net)" <2005@kuarepoti-dju.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 08 Mar 2010 23:15:08 GMT) Full text and rfc822 format available.

Message #60 received at 572048@bugs.debian.org (full text, mbox):

From: "Josef Spillner (kuarepoti-dju.net)" <2005@kuarepoti-dju.net>
To: <572048@bugs.debian.org>
Subject: Re: Bug#572048: Happens on new installations, too
Date: Tue, 09 Mar 2010 00:11:18 +0100
> may you try 6b18~pre1-4, please?

Works fine for me, tested on two amd64 systems which previously failed:
6b17-1.7-1 and 6b17~pre3-1.





Bug reassigned from package 'tomcat6' to 'openjdk-6'. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 21:45:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions tomcat6/6.0.24-2. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 21:45:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 6b18~pre1-4. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 21:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#572048; Package openjdk-6. (Sun, 14 Mar 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 14 Mar 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #71 received at 572048@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: control@bugs.debian.org
Cc: 572048@bugs.debian.org
Subject: closing 572048
Date: Sun, 14 Mar 2010 16:11:54 +0000
# Automatically generated email from bts, devscripts version 2.10.35lenny7
# forgot to close this report
close 572048 





Bug closed, send any further explanations to Teodor <mteodor@gmail.com> Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 16:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#572048; Package openjdk-6. (Tue, 30 Mar 2010 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miroslav Žáček <miroslav.zacek@symblaze.cz>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Tue, 30 Mar 2010 15:03:04 GMT) Full text and rfc822 format available.

Message #78 received at 572048@bugs.debian.org (full text, mbox):

From: Miroslav Žáček <miroslav.zacek@symblaze.cz>
To: 572048@bugs.debian.org
Subject: My solution
Date: Tue, 30 Mar 2010 16:47:40 +0200
I had the same problem and I've found that it can be fixed by adding
this option to java:

-Djava.net.preferIPv4Stack=true

In Debian installation, edit /etc/default/tomcat6 and edit line with
JAVA_OPTS






Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#572048; Package openjdk-6. (Tue, 30 Mar 2010 17:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <mail.twerner@googlemail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Tue, 30 Mar 2010 17:21:02 GMT) Full text and rfc822 format available.

Message #83 received at 572048@bugs.debian.org (full text, mbox):

From: Torsten Werner <mail.twerner@googlemail.com>
To: Miroslav Žáček <miroslav.zacek@symblaze.cz>, 572048@bugs.debian.org
Subject: Re: Bug#572048: My solution
Date: Tue, 30 Mar 2010 19:19:17 +0200
2010/3/30 Miroslav Žáček <miroslav.zacek@symblaze.cz>:
> -Djava.net.preferIPv4Stack=true

If someone else reads that: please do NOT switch off IPv6, NEVER.
Having IPv6 support is a release goal for Debian and the issue has
been fixed in newer versions of OpenJDK. If you want to use a non-free
JDK you can edit /etc/sysctl.d/bindv6only.conf as a workaround.

Thanks,
Torsten




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Apr 2010 07:31:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:08:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.